Subject: bug#35557: 26.1; false positive: Match data clobbered by buffer modification hooks

From: Stefan Kangas <[email-masked]>
Date: Sat, 02 Nov 2019 02:00:34 +0100

Paul Eggert <[email-masked]> writes:

> I tried to reproduce the bug and failed, so I'm afraid you'll have to step in
> and help debug it. First, please use 26.2 rather than 26.1. Second, please 
> simplify the ./configure arguments (there are some duplicates, and
> --enable-libsystemd isn't the right name for the flag). Third, I suggest running 
> it under GDB and seeing what exactly goes wrong, e.g., by putting a watchpoint
> on search_regs.start[sub].

I couldn't reproduce this bug either.

David, could you please look into the above suggestions by Paul?

Best regards,
Stefan Kangas